net.snowflake.client.loader

## Class BufferStage

- java.lang.Object
- - net.snowflake.client.loader.BufferStage

    public class BufferStage
    extends Object

Class representing a unit of work for uploader. Corresponds to a collection of data files for a single processing stage.

### Nested Class Summary

Nested Classes
`static class` `BufferStage.State`

### Field Summary

Fields
`static int` `FILE_BUCKET_SIZE`
`static long` `FILE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`BufferStage(StreamLoader loader, Operation op, long csvFileBucketSize, long csvFileSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getId()`
`Operation` `getOp()`
`String` `getRemoteLocation()`
`int` `getRowCount()`
`boolean` `isTerminate()`
`void` `setId(String _id)`
`void` `setState(BufferStage.State state)`
`void` `setTerminate(boolean terminate)`
`boolean` `stageData(byte[] line, boolean newLine)`
`BufferStage.State` `state()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FILE_BUCKET_SIZE

    public static final int FILE_BUCKET_SIZE

See Also:
  Constant Field Values

#### FILE_SIZE

    public static final long FILE_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### BufferStage

    public BufferStage(StreamLoader loader,
                       Operation op,
                       long csvFileBucketSize,
                       long csvFileSize)

### Method Detail

#### stageData

    public boolean stageData(byte[] line,
                             boolean newLine)
                      throws IOException

Throws:
  `IOException`

#### getRemoteLocation

    public String getRemoteLocation()

#### getOp

    public Operation getOp()

#### isTerminate

    public boolean isTerminate()

#### setTerminate

    public void setTerminate(boolean terminate)

#### getId

    public String getId()

#### setId

    public void setId(String _id)

#### state

    public BufferStage.State state()

#### setState

    public void setState(BufferStage.State state)

#### getRowCount

    public int getRowCount()